summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorKees Cook <kees@outflux.net>2008-06-24 03:39:17 +0000
committerKees Cook <kees@outflux.net>2008-06-24 03:39:17 +0000
commit1efd3df215aa76275f902e197b38f8ff93800c73 (patch)
tree62a9cd65e615066bde7132653dc206be12dbd62c /scripts
parentcd3ec32ab8c13aad37a99c90165709838c25c54a (diff)
ubuntu released kernels
git-svn-id: svn+ssh://svn.debian.org/svn/kernel-sec@1182 e094ebfe-e918-0410-adfb-c712417f3574
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ubuntu-release18
1 files changed, 13 insertions, 5 deletions
diff --git a/scripts/ubuntu-release b/scripts/ubuntu-release
index cf436685..3079cb1e 100644
--- a/scripts/ubuntu-release
+++ b/scripts/ubuntu-release
@@ -1,7 +1,15 @@
#!/bin/bash
-echo 'This is just a place holder for future scripts. View source for examples.'
-exit 1
+DAPPER="$1"
+FEISTY="$2"
+GUTSY="$3"
+HARDY="$4"
-# Examples:
-#../scripts/ubuntu-usn-desc $(egrep '^2.6.20-feisty-security: pending' CVE* | cut -d: -f1)
-#perl -pi -e 's/^2.6.20-feisty-security: pending \(2\.6\.20-16\.30\)/2.6.20-feisty-security: released (2.6.20-16.31)/' CVE*
+if [ -z "$DAPPER" ] || [ -z "$FEISTY" ] || [ -z "$GUTSY" ] || [ -z "$HARDY" ]; then
+ echo "Usage: $0 DAPPER FEISTY GUTSY HARDY" >&2
+ exit 1
+fi
+
+perl -pi -e 's/^2.6.15-dapper-security: pending.*/2.6.15-dapper-security: released ('"$DAPPER"')/' CVE*
+perl -pi -e 's/^2.6.20-feisty-security: pending.*/2.6.20-feisty-security: released ('"$FEISTY"')/' CVE*
+perl -pi -e 's/^2.6.22-gutsy-security: pending.*/2.6.22-gutsy-security: released ('"$GUTSY"')/' CVE*
+perl -pi -e 's/^2.6.24-hardy-security: pending.*/2.6.24-hardy-security: released ('"$HARDY"')/' CVE*

© 2014-2024 Faster IT GmbH | imprint | privacy policy